Bug 198675 - Open up xcfilelist processing to more platforms
Summary: Open up xcfilelist processing to more platforms
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Keith Rollin
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2019-06-07 13:28 PDT by Keith Rollin
Modified: 2019-06-11 12:40 PDT (History)
6 users (show)

See Also:


Attachments
Patch (2.58 KB, patch)
2019-06-07 13:30 PDT, Keith Rollin
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Keith Rollin 2019-06-07 13:28:43 PDT
Now that it's been tested, add AppleTV{OS,Simulator} to the set of platforms on which to perform xcfilelist generation/updating.
Comment 1 Radar WebKit Bug Importer 2019-06-07 13:28:58 PDT
<rdar://problem/51533238>
Comment 2 Keith Rollin 2019-06-07 13:30:14 PDT
Created attachment 371605 [details]
Patch
Comment 3 Jonathan Bedard 2019-06-07 13:56:32 PDT
Comment on attachment 371605 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=371605&action=review

> Tools/ChangeLog:3
> +        Open up xcfilelist processing to more platforms

Is this a multi-part change? Or is tvOS the end of it?
Comment 4 Keith Rollin 2019-06-07 14:04:47 PDT
I'm not sure what you're getting at. There will be a similar change in another, internal repository. And we'll be adding support for any new platforms that Apple creates in the future. If you're asking about iPadOS, there's no need for any changes along those lines.
Comment 5 Keith Rollin 2019-06-10 15:07:45 PDT
Jonathan, any concerns with this patch?
Comment 6 Keith Rollin 2019-06-11 09:44:58 PDT
Jonathan, could you please look at this?
Comment 7 Jonathan Bedard 2019-06-11 11:16:23 PDT
(In reply to Keith Rollin from comment #6)
> Jonathan, could you please look at this?

No, looks good.

Sorry for the delay, had slipped my task queue.
Comment 8 WebKit Commit Bot 2019-06-11 12:40:30 PDT
Comment on attachment 371605 [details]
Patch

Clearing flags on attachment: 371605

Committed r246329: <https://trac.webkit.org/changeset/246329>
Comment 9 WebKit Commit Bot 2019-06-11 12:40:32 PDT
All reviewed patches have been landed.  Closing bug.